<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div class="layout-select-role">
  <div class="container">
  <div class="row hv-100 d-flex justify-content-center align-items-center">
    <div class="select-role-warpper">
      <div class="container">
        <div class="row">
          <span class="back-login" (click)="backtologin()">
            <img class="arrow-left" src="assets/img/arrow-left-blue.svg" />back to login</span>
        </div>
        <div class="row mg-select-role"><span class="title-select-role">Select Role</span></div>
        <div class="row mg-role">
          <div class="form-group form-group-select-role">
            <label class="mg-label-row" for="select-role-input">Role</label>
            <select class="form-control m-0" id="select-role-input" placeholder="Select Role" [(ngModel)]="selectData" (ngModelChange)="onChange($event)">
              <option value=null disabled selected>Select Role</option>
              <option *ngFor="let role of selectrole" [ngValue]="role" >{{role.roleDetail}}</option>
            </select>
          </div>
        </div>
        <div class="row mg-submit">
          <button mat-flat-button color="primary" class="btn btn-login" [disabled]="checkSelect" (click)="sumitRole()">submit</button>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="background"></div>
</div>
